# SPDX-License-Identifier: MIT
%global  forgeurl https://github.com/EkType/Honk
%global  commit       99094d4f6e3e73745fe3f2a6387d56c19d2a04cd
%global  shortcommit  99094d4
%global  commitdate   20240708
%global  version0     0.0

%forgemeta

Version: %{forgeversion}
Release: %{autorelease}
URL: %{forgeurl}
VCS: git:%{url}.git
 
%global foundry       ektype
%global fontlicense   OFL-1.1
%global fontlicenses  OFL.txt
%global fontdocs      README.md AUTHORS.txt CONTRIBUTORS.txt
%global fontdocsex    %{fontlicenses}
 
%global common_description  %{expand:

Loud, bright, and exuberantly fun! Honk is a variable colour font from Ek Type.
It is a riotous digital interpretation of the bold and boisterous lettering seen
on Indian trucks.

An extravaganza of form and colour, Honk is a modular system with ten distinct
styles, shadows, and colour palettes. An embodiment of India's colourful
complexity, it effortlessly oscillates between simple and subtle to
over-the-top and ornate. It's the kind of font that doesn't just speak; it
shouts, honks, and sings with its varied styles, dynamic shape-shifting and use
of colorv1 technology.

Honk reflects the essence of India's vibrant spirit, and it does so with an
audacious flair. So, the next time you need a font that's as lively as an
Indian street corner, give Honk a try. It is a typographic adventure you won't
forget!

Honk is designed by Noopur Datye and Yesha Goshar, and engineered by Sidharth
Jaishankar and Girish Dalvi, emojis are designed by Athul Jayaraman and testing
is done by Taresh Vohra and team Ek Type. A big honk to all the amazing
designers who helped by open sourcing their color/element-based variable fonts.}

%global fontfamily0      Honk
%global fontsummary0     Honk regular display typeface
%global fonts0           sources/generatedfonts/layeredcolorfonts_static_ttf/Honk_ttf/Honk-*.ttf
%global fontconfs0       %{SOURCE10}
%global fontdescription0 %{expand:
%{common_description}
Regular fonts.}

%global fontfamily1      Honk Shadow
%global fontsummary1     Honk shadow display typeface
%global fonts1           sources/generatedfonts/layeredcolorfonts_static_ttf/HonkShadow_ttf/HonkShadow-*.ttf
%global fontconfs1       %{SOURCE11}
%global fontdescription1 %{expand:
%{common_description}
Shadow fonts.}

%global fontfamily2      Honk Background
%global fontsummary2     Honk background display typeface
%global fonts2           sources/generatedfonts/layeredcolorfonts_static_ttf/HonkBackground_ttf/HonkBackground-*.ttf
%global fontconfs2       %{SOURCE12}
%global fontdescription2 %{expand:
%{common_description}
Background fonts.}

%global fontfamily3      Honk Variable
%global fontsummary3     Honk variable display typeface
%global fonts3           sources/generatedfonts/variable_withoutgradient_ttf/Honk-VF.ttf
%global fontconfs3       %{SOURCE13}
%global fontdescription3 %{expand:
%{common_description}
Variable fonts.}

%global fontfamily4      Honk Variable Gradient 
%global fontsummary4     Honk variable gradient display typeface
%global fonts4           sources/generatedfonts/variable_gradient_ttf/Honk*.ttf
%global fontconfs4       %{SOURCE14}
%global fontdescription4 %{expand:
%{common_description}
Variable gradient fonts.}

Source0:  %{forgesource}
Source10: 75-ektype-honk-fonts.conf
Source11: 75-ektype-honk-shadow-fonts.conf
Source12: 75-ektype-honk-background-fonts.conf
Source13: 75-ektype-honk-variable-fonts.conf
Source14: 75-ektype-honk-variable-gradient-fonts.conf

%fontpkg -a

%fontmetapkg
 
%prep
%forgesetup
# Sources are available, but build process uses many
# tools not yet packaged in Fedora 

%build
%fontbuild -a
 
%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
%autochangelog
